<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF/Another page</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="../plugins/counto/animate.css">
  <link rel="stylesheet" href="../plugins/aos/aos.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="../plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="../plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="../designspace/style.css" rel="stylesheet">

</head>


<body>

<!-- Navigation Start -->
<!-- Header Start -->

<div class= "header">

  <nav class="navbar navbar-expand-lg  main-nav " id="navbar">
  	<div class="container">
  	  <a class="navbar-brand" href="../index.html">
  	  	<img src="../images/logo.png" alt="" class="img-fluid">
  	  </a>


  	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
  		<span class="ti-align-justify"></span>
  	  </button>

  		  <div class="collapse navbar-collapse" id="navbarsExample09">
  			<ul class="navbar-nav ml-auto">

  			  <li class="nav-item  active"><a class="nav-link" href="../index.html">Home</a></li>

  			  <li class="nav-item dropdown active">
  					<a class="nav-link dropdown-toggle" href="#" id="dropdown02" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Reflection</a>
  					<ul class="dropdown-menu" aria-labelledby="dropdown02">
  						<li><a class="dropdown-item" href="../blog-grid.html">Term 1</a></li>
  						<li><a class="dropdown-item" href="../exploration/dummy.html">Term 2</a></li>
  						<li><a class="dropdown-item" href="../exploration/dummy.html">Term 3</a></li>
  					</ul>
  			  </li>

          <li class="nav-item dropdown active">
           <a class="nav-link dropdown-toggle" href="#" id="dropdown02" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Research</a>
           <ul class="dropdown-menu" aria-labelledby="dropdown02">
             <li><a class="dropdown-item" href="../designspace/design-space.html">Design Space</a></li>
             <li><a class="dropdown-item" href="../materials.html">Materiality</a></li>
           </ul>
         </li>

  			   <li class="nav-item"><a class="nav-link" href="../contact.html">GitLab</a></li>
           <li class="nav-item  active"><a class="nav-link" href="../myself.html">About</a></li>

  			</ul>
  		</div>
  	</div>
  </nav>
</div>
<!-- Header Close -->


<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h1 class="text-capitalize mb-0 text-lg">Output</h1>
        </div>
      </div>
    </div>
  </div>
</section>



	<div class="fabclass">
              <br> </br>
              <h2> Reading data from a sensor and connecting an output device with a microcontroller </h2>
              <br> </br>
               <img src="shaders.jpg" alt="shaders" class="img-fluid fabimage">
               <br> </br>
                <h5>This week I used input devices such as sensors, to read data from the environment and then program an output device such as a servo motor, to perform an action. </h5>
                <br> </br>



        <h3>Creating a kinetic facade</h3>
        <div class="fabimage">
          <br> </br>
          <h4>Using the sensor's data to trigger a device </h4>

          <p> The prototype that I tried to make is a facade element (shaders) that opens and closes according to changes in the environment. </p>
          <img src="3dshaders.jpg" alt="ultra-connections" class="img-fluid">
          <p> I used a photoresistor to read the illuminance of the environment in order to control the opening and the closing of shaders.</p>
          <p>The photoresistor is an electronic component which resistivity varies according to the amount of light received ( the resistance decreases when exposed to the light ). Here is the pinout diagram: </p>
          <img src="photoresistorpinout.jpg" alt="ultra-connections" class="img-fluid">
          <p>For the connection we also need a 10k ohm resistor, which I didn't have, so I used two 5k resistors at parallel connection.  </p>
          <img src="pinsphoto.jpg" alt="ultra-connections" class="img-fluid">
          <p>A tricky point was that the range of results was changing according to different light sources that influenced the area. So I needed to modify the threshold number of opening and closing the shaders according to what time I was testing the prototype and with what kind of illuminance. </p>
          <br> </br>
            <img src="shdiagram.jpg" alt="diagram" class="img-fluid">
            <br> </br>
            <p>This is the general diagram of how the mechanism works. The shaders pivot around an axis that is at the 4/5 of the width of each shader. Then, a metallic bar is connected from each shader to a main one.This works better than having to move each shader separetly.
            In that way we just have to control the movement of the main bar. The difficult point is how to transform the rotational move of the servo to linear move. The servo moves from 180 degrees, from the position A to the position B. I attached a piece on the rotational part of the servo and on the one end I made a hole. Then I connected this part withe main main bar with a third metallic element.
            The way that I found to make the rotation movement into linear, was by creating two joints at the two ends of this bar, that let the bar rotate as it has only 2 degrees of freedom.  </p>
            <br> </br>
            <p>The Arduino code that I used was the following: </p>


          <div class="project">
              <pre>
          <h6>
          #include <Servo.h>
           Servo myservo;

           void setup() {
           Serial.begin(9600);
           myservo.attach(9);
           }

           void loop() {
            int value = analogRead(A0);
            Serial.println("Analog value : ");
            Serial.println(value);

             //You can change value "25"
             if (value < 200){
               myservo.write(0);
             }
             else{
               myservo.write(180);
             }

             delay(500);
            }
          </h6>
          </pre>
        </div>

          <video playsinline autoplay muted loop class="img-fluid">
         <source src="shaders.mp4" type="video/mp4">
         </video>
         <br> </br>
        </div>
      </div>



    <section class="footer">
    	<div class="container">
    		<div class="row ">
    			<div class="col-lg-6">
    			</div>
    			<div class="col-lg-6">
    				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
    					<ul class="list-inline mb-0">

    					</ul>
    				</div>
    			</div>
    		</div>
    	</div>
    </section>

</body>

<!-- jQuery -->
<script src="../plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="../plugins/bootstrap/bootstrap.min.js"></script>
<script src="../plugins/aos/aos.js"></script>
<script src="../plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="../plugins/shuffle/shuffle.min.js"></script>
<script src="../plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="../plugins/animated-text/animated-text.js"></script>
<script src="../plugins/counto/apear.js"></script>
<script src="../plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="../plugins/google-map/map.js"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
